import request from "../utils/request";

export const autoLogin = () =>
  request({
    url: "/sso/identity/user/autoLogin",
    method: "get",
  });

export const logout = () =>
  request({
    url: "/sso/identity/user/logout",
    method: "get",
  });

export const queryMenu = (data) =>
  request({
    url: "/design/systemsetting/menu/queryMenusByParentId",
    method: 'get',
    params: data
  });
