import request from "../utils/request";

export const login = () =>
  request({
    url: "/sso/identity/user/login",
    method: "post",
    headers: {
      appVersion: "1.0.0",
      uniId: "100",
    },
  });

export const getMachine = () =>
  request({
    url: "/sso/identity/user/getMachineCode",
    method: "get",
  });

export const activation = () =>
  request({
    url: "/sso/identity/user/activateMachine",
    method: "post",
  });
