import Vue from 'vue'
import store from './store'
import router from './router'
import './directive'
import App from './App'
import './permission'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

Vue.use(ElementUI, {
  size: 'small',
})

// 关闭生产模式的提示
Vue.config.productionTip = false

new Vue({
  el: '#app',
  store,
  router,
  render: (h) => h(App),
})
