const dataset = {
  state: {
    parentData: JSON.parse(localStorage.getItem("parentData")) || {},
    areaHomepage: true,
    menuShow: false,
    currentTime: '',
    showEditor: true,
    clientWidth: '',
    clientHeight: '',
  },
  mutations: {
    troggleEditorStatus(state){
      state.showEditor = !state.showEditor
    },
    setCurrentTime(state, time) {
      state.currentTime = time
    },
    setParentData(state, parentData) {
      localStorage.setItem("parentData", JSON.stringify(parentData));
      state.parentData = parentData;
    },
    setMenuStatus(state, show) {
      state.menuShow = show
    },
    setClientWH(state,whObj){
      state.clientWidth = whObj.w
      state.clientHeight = whObj.h
    }
  }
};
export default dataset;