export default {
  vehicleTypes: {
    0: '未知',
    1: '小客车',
    2: '大货车',
    3: '大巴车',
    4: '行人',
    5: '自行车',
    6: '电动车',
    7: '中巴车',
    8: '危化车',
    // 9: '以撒物',
    10: '小货车',
    11: '中货车',
    12: '救护车',
    // 13: '消防车',
    14: '机动摩托车',
    15: '小巴车',
    150: '外卖车',
    151: '外卖车（美团）',
    152: '外卖车（饿了么）',
    153: '外卖车（肯德基）',
    154: '外卖车（麦当劳）',
    160: '快递车',
    // 161: '快递车（京东）',
    // 162: '快递车（顺丰）',
    // 163: '快递车（申通）',
    // 164: '快递车（圆通）',
    // 165: '快递车（中通）',
    // 166: '快递车（韵达）',
    170: '货车-车轴型为11',
    // 171: '货车-车轴型为12',
    // 172: '货车-车轴型为15',
    // 173: '货车-车轴型为122',
    // 174: '货车-车轴型为125',
    // 175: '货车-车轴型为125',
    // 176: '货车-车轴型为115',
    // 177: '货车-车轴型为127',
    // 178: '货车-车轴型为1125',
    // 179: '货车-车轴型为155',
    // 180: '货车-车轴型为1127',
    // 181: '货车-车轴型为117',
    // 182: '货车-车轴型为147',
    // 183: '货车-7轴及以上',
  },
  vehicleColors: {
    0: '未知',
    1: '白色',
    2: '黑色',
    3: '红色',
    4: '银色',
    5: '黄色',
    6: '蓝色',
    7: '彩色/杂色',
    8: '棕色',
    9: '灰色',
  },
  vehicleRealColors: {
    0: '#ffffff',
    1: '#ffffff',
    2: '#1f1d1e',
    3: '#8d150f',
    4: '#77787b',
    5: '#ffd400',
    6: '#062cb4',
    7: '#ffffff',
    8: '#804000',
    9: '#77787b',
  },
  colorMatch:{
    '未知':'#ffffff',
    '白色':'#ffffff',
    '彩色/杂色':'#ffffff',
    '黑色':'#1f1d1e',
    '红色':'#8d150f',
    '银色':'#c1c4ca',
    '黄色':'#ffd400',
    '蓝色':'#1e41be',
    '棕色':'#804000',
    '灰色':'#77787b',
  },
  lightModelDict: {
    //  0: 杆色
    //  1: 灯罩色
    // 1 2 3 红 绿 黄
    // :2,        //右红
    // :3,        //右黄
    // :4,        //右绿
    // :5,        //下黄
    // :6,        //下绿
    // :7,        //下红
    // :8,        //直红
    // :9,        //直绿
    // :10,        //直黄
    // :11,        //左红
    // :12,        //左绿
    // :13,        //左黄
    //  14：标志
  },
  eventType:{
    1: '非机动车事件',
    2:"行人事件",
    3:'机动车事件'
  },
  equip_weather:{
    windDir:{
      1:'北风',
      2:'东北风',
      3:'东风',
      4:'东南风',
      5:'南风',
      6:'西南风',
      7:'西风',
      8:'西北风',
    },
    vis:{
      1:'能见度20-30公里 能见度极好',
      2:'能见度15-25公里 能见度好',
      3:'能见度10-20公里 能见度一般',
      4:'能见度5-15公里 能见度较差',
      5:'能见度1-10公里 轻雾 能见度差',
      6:'能见度0.3-1公里 大雾 能见度很差',
      7:'能见度小于0.3公里 重雾 能见度极差',
      8:'能见度小于0.1公里 浓雾 能见度极差',
      9:'能见度不足100米',
    }
  },
  carTypeGlbMap:{
    0:'0',
    1:'0',
    2:'2',
    3:'3',
    4:'4',
    5:'5',
    6:'6',
    7:'7',
    8:'8',
    9:'0',
    10:'10',
    11:'11',
    12:'12',
    13:'0',
    14:'14',
    150:'14',
    151:'14',
    152:'14',
    153:'14',
    154:'14',
    160:'11',
    161:'11',
    162:'11',
    163:'11',
    164:'11',
    165:'11',
    166:'11',
    170:'170',
    171:'170',
    172:'170',
    173:'170',
    174:'170',
    175:'170',
    176:'170',
    177:'170',
    178:'170',
    179:'170',
    180:'170',
    181:'170',
    182:'170',
    183:'170',
  }
}
