
import request from '../utils/request'
// 字典请求 统一存放vuex(store/modules/dict.js)避免过多网络请求
// 车辆类型
export const dictCarType = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "C5605A95172543A9B46E9561DB8BEF8D" }
    })


// 车身颜色
export const dictCarColor = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "3393F1704E4643BFA6FC20D1EADDFFAB" }
    })
// 车牌颜色
export const dictPlateColor = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "21919BD35547413A990CC69B9D305370" }
    })
// 交通参与者类型
export const dictTrafficActor = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "21F5FDB7B45343BDB54BABD2243299FC" }
    })
// 路口
export const dictCrossInfo = () =>
    request({
        url: '/holo/base-cross-info/list',
        method: 'get',
        params: {}
    })
// 拥堵程度
export const dictCrowdDeep = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "6CD69A4E08F24C1283244AC080A05277" }
    })
// 所有权
export const dictOwner = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "5337B2F0F859459B9104A6490EAEE8C4" }
    })
// 使用性质
export const dictNature = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "D848A3522E2042D5BAFA2F5523293128" }
    })
// 本地外地
export const dictIfLocal = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "C792ACCD0E9D49A6A288431113B87E92" }
    })
// 事件类型
export const dictEventType = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "DF33F67CAC5F4BAC9882FA77EEFF6E83" }
    })
// 能见度
export const dictVisibility = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "A4520085B0A0458080010A9DD6C4020B" }
    })
// 方向
export const dictDirection = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "2230A28A0DA24302A9E5BD6D43303E65" }
    })
// 路口类型
export const dictCrossType = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "2313A8C2BCEE43C39BDD5C86225B27C9" }
    })
// 畅通/拥堵 1234
export const dictTrafficStatus = () =>
    request({
        url: '/design/config/dictionary/byCondition',
        method: 'post',
        data: { catalogId: "DD55064E648446D7820E037B9041AC99" }
    })